[SRU] Please backport lightdm-gtk-greeter 1.8.5 to trusty

Bug #1331871 reported by Sean Davis
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
lightdm-gtk-greeter (Ubuntu)
Invalid
Undecided
Unassigned
Trusty
Fix Released
High
Unassigned

Bug Description

Please backport lightdm-gtk-greeter 1.8.5 to trusty.

[Impact]
* This release fixes a critical bug that prevents new users from logging in, as well as minor annoyances.
  * Fix tooltips stealing focus (LP: #1307764)
  * Fix get_session to not get corrupted (LP: #1311933
  * Fix "zoomed" implementation to correctly place the wallpaper, matching xfce and other desktop zoomed functionality
  * Updated translations

[Test Case]
1. Modify /etc/lightdm/lightdm-gtk-greeter.conf:
show-indicator=~power

2. Create a new user
useradd -m -g users newlyaddeduser && passwd -d newlyaddeduser

3. Log in with the new user. Login should be successful.

4. Modify /var/lib/AccountsService/users/<username>
XSession=default

5. Log in with the new user again. Login should again be successful.

[Regression Potential]
* There is little regression potential as this is merely a bugfix release.

[Other Info]
* Users affected by the critical bug will be able to successfully log in without modifying any settings.
* Attached is a debdiff for a no-change backport.

lightdm-gtk-greeter (1.8.5-1ubuntu2~ubuntu14.04.1) trusty; urgency=medium

  * No-change backport to trusty

 -- Sean Davis <email address hidden> Sun, 06 Jul 2014 21:40:19 -0400

lightdm-gtk-greeter (1.8.5-1ubuntu2) utopic; urgency=medium

  * Fix indicator support (LP: #1336727)
    - debian/changelog:
      + Build-Depends on libido3-0.1-dev

 -- Sean Davis <email address hidden> Wed, 02 Jul 2014 06:20:58 -0400

lightdm-gtk-greeter (1.8.5-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable. (LP: #1320830) Remaining changes:
    - debian/control, debian/rules:
      + Add Indicators support.
    - debian/control:
      + Build-Depends on liblightdm-gobject-1-dev instead on
        liblightdm-gobject-dev as it's non-existing in archive.
      + Fix binary-control-field-duplicates-source lintian tag.
    - debian/copyright:
      + Fix wiki-copyright-format-uri lintian tag.
      + Fix obsolete-field-in-dep5-copyright lintian tags.
      + Add missing license information.
    - debian/lightdm-gtk-greeter-ubuntu.conf,
      debian/lightdm-gtk-greeter.install,
      debian/lightdm-gtk-greeter.{post,pre}{inst,rm},
      debian/60-lightdm-gtk-greeter.conf:
      + Install and remove Ubuntu conf files.
    - debian/lightdm-gtk-greeter-ubuntu.conf, debian/rules:
      + Updated per new template, replaced deprecated
        "show-indicators" key.
    - debian/patches/04_default-gtk-greeter-config.patch:
      + Disabled, not used in Ubuntu.

 -- Artur Rona <email address hidden> Sat, 07 Jun 2014 15:45:56 +0200

Related branches

Revision history for this message
Sean Davis (bluesabre) wrote :

Attached debdiff from backportpackage.

Sean Davis (bluesabre)
description: updated
description: updated
Revision history for this message
Sean Davis (bluesabre) wrote :

Updated debdiff for new utopic package.

description: updated
Micah Gersten (micahg)
Changed in lightdm-gtk-greeter (Ubuntu):
status: New → Invalid
Revision history for this message
Micah Gersten (micahg) wrote :

Sponsored to trusty-proposed

Changed in lightdm-gtk-greeter (Ubuntu Trusty):
status: New → Fix Committed
importance: Undecided → High
Sean Davis (bluesabre)
tags: added: verification-needed
Revision history for this message
Brian Murray (brian-murray) wrote :

I've removed the verification-needed tag as the package does not yet exist in the -proposed repository for Trusty so can not be verified yet.

tags: removed: verification-needed
Revision history for this message
Chris Halse Rogers (raof) wrote : Please test proposed package

Hello Sean, or anyone else affected,

Accepted lightdm-gtk-greeter into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/lightdm-gtk-greeter/1.8.5-1ubuntu2~ubuntu14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Revision history for this message
Jack Fromm (jjfrv8) wrote :

Ran testcase on fresh install of Trusty (real hardware) and reproduced bug.
Did another fresh install, enabled -proposed and updated. Confirmed version 1.8.5.
Re-ran testcase and confirmed bug was fixed.

Revision history for this message
Sean Davis (bluesabre) wrote :

Fix confirmed by @jjfrv8. Marked as verfiication-done.

tags: added: verification-done
removed: verification-needed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightdm-gtk-greeter - 1.8.5-1ubuntu2~ubuntu14.04.1

---------------
lightdm-gtk-greeter (1.8.5-1ubuntu2~ubuntu14.04.1) trusty; urgency=medium

  * No-change backport to trusty (LP: #1331871)

lightdm-gtk-greeter (1.8.5-1ubuntu2) utopic; urgency=medium

  * Fix indicator support (LP: #1336727)
    - debian/changelog:
      + Build-Depends on libido3-0.1-dev

lightdm-gtk-greeter (1.8.5-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable. (LP: #1320830) Remaining changes:
    - debian/control, debian/rules:
      + Add Indicators support.
    - debian/control:
      + Build-Depends on liblightdm-gobject-1-dev instead on
        liblightdm-gobject-dev as it's non-existing in archive.
      + Fix binary-control-field-duplicates-source lintian tag.
    - debian/copyright:
      + Fix wiki-copyright-format-uri lintian tag.
      + Fix obsolete-field-in-dep5-copyright lintian tags.
      + Add missing license information.
    - debian/lightdm-gtk-greeter-ubuntu.conf,
      debian/lightdm-gtk-greeter.install,
      debian/lightdm-gtk-greeter.{post,pre}{inst,rm},
      debian/60-lightdm-gtk-greeter.conf:
      + Install and remove Ubuntu conf files.
    - debian/lightdm-gtk-greeter-ubuntu.conf, debian/rules:
      + Updated per new template, replaced deprecated
        "show-indicators" key.
    - debian/patches/04_default-gtk-greeter-config.patch:
      + Disabled, not used in Ubuntu.

lightdm-gtk-greeter (1.8.5-1) unstable; urgency=medium

  * New upstream release.

lightdm-gtk-greeter (1.8.4-1) unstable; urgency=medium

  * New upstream release.
 -- Sean Davis <email address hidden> Sun, 06 Jul 2014 21:40:19 -0400

Changed in lightdm-gtk-greeter (Ubuntu Trusty):
status: Fix Committed → Fix Released
Revision history for this message
Chris J Arges (arges) wrote : Update Released

The verification of the Stable Release Update for lightdm-gtk-greeter has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers